@import "variables.scss";

#search {
    margin: 0; padding: 0;
    white-space: nowrap;
    > input, > button {
        margin: 0; // safari
        font-size: 1.25em;
        line-height: 1.6;
        font-family: "fira sans ot","fira sans","trebuchet ms",roboto,sans-serif;
    }
    > input {
        -webkit-appearance: none; // safari
        outline: none;
        background: lighten($neutral-shade, 100%);
        @include dark {
            background: lighten($dark-neutral-shade, 20%);
        }
        color: var(--text-color);
        @include dark {
            color: lighten($dark-text-color, 20%);
        }
        &:focus {
            border-color: var(--neutral-shade);
        }
        transition: color 0.3s ease-in;
        &::placeholder {
            font-size: 0.9em;
            transition: color 0.3s ease-in-out;
            font-weight: 300;
            color: var(--neutral-shade);
            @include dark {
                color: darken($dark-text-color, 5%);
            }
        }
        &:hover::placeholder {
            color: lighten($neutral-shade, 20%);
            @include dark {
                color: darken($dark-text-color, 15%);
            }
        }
        border: 1px solid #aaa;
        border-right-color: #445;
        padding: 1px 1ex; // right padding for (x) button
        max-width: 70%;
        @media (min-width: 640px) {
            min-width: 18em;
        }
        box-shadow: inset 1px 2px 5px rgba(0,0,0,.08);
    }
    > button {
        cursor: pointer;
        background: var(--purple-shade);
        color: var(--inverted-text-color);
        @include dark {
            color: $dark-search-button-text-color;
            &:hover {
                color: var(--inverted-text-color);
            }
        }
        box-shadow: inset 2px 2px 7px rgba(210,180,255,.4);
        font-weight: bold;
        text-shadow: 0 1px 0 black;
        border: 1px solid #000;
        border-left: 0;
        padding: 1px 1ex;
    }
}

